/* eslint-disable no-undef */
import React from 'react';
import { cleanup } from '@testing-library/react';
import '@testing-library/jest-dom';

import testWrapper from '../helpers/testWrapper';
import Sliders from '../components/Sliders';

describe('Slider component', () => {
  afterEach(cleanup);

  test('check sliders status', () => {
    const { getByTestId } = testWrapper(<Sliders />);

    expect(getByTestId('sliders')).toBeVisible();
  });

  // test('mouse move on sliders', async () => {
  //   const { getByTestId } = render(<Sliders defaultValue={50} />);
  //   fireEvent.mouseDown(getByTestId('sliders'), {
  //     clientX: 60,
  //     clientY: 15,
  //     buttons: 1,
  //   });

  //   const style = window.getComputedStyle(getByTestId('track'));
  //   console.log(style);
  //   expect(getByTestId('track')).toHaveStyle('left: calc(50% - 10px);');
  // });
});
